Bug 458848 - webdotdir in Bugzilla/Constants.pm should be set below $libpath and not below $datadir
webdotdir in Bugzilla/Constants.pm should be set below $libpath and not below...
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-12 13:23 EDT by Filipe Brandenburger
Modified: 2009-11-22 13:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-22 13:50:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Filipe Brandenburger 2008-08-12 13:23:12 EDT
Description of problem:

showdependencygraph.cgi does not work on bugzilla-3.0.4-1, not remotely neither locally. The reason for it is that webdotdir is configured under /var/lib/bugzilla instead of under /usr/share/bugzilla, and there is a big comment on Bugzilla/Constants.pm that says it will not work that way.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Install Bugzilla RPM and configure it.
2. Create some bugs with dependencies.
3. Go to one of them and click "Show dependency graph".
Actual results:

A broken image.

Expected results:

An image with a dependency graph.

Additional info:

This is the comment on Bugzilla/Constants.pm:

# $webdotdir must be in the webtree somewhere. Even if you use a 
# local dot, we output images to there. Also, if $webdotdir is 
# not relative to the bugzilla root directory, you'll need to 
# change showdependencygraph.cgi to set image_url to the correct 
# location.
# The script should really generate these graphs directly...
'webdotdir'   => "/var/lib/bugzilla/$datadir/webdot",

Changing the last line to:

'webdotdir'   => "$libpath/webdot",

And running /usr/share/bugzilla/checksetup.pl automatically created the webdot directory with the correct permissions and made it work.

I checked that the problem also exists on 3.0.4-2
Comment 1 Bug Zapper 2008-11-25 21:45:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Fedora Admin XMLRPC Client 2009-02-11 14:25:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Itamar Reis Peixoto 2009-02-28 23:06:51 EST
please try the 3.0.8 version.

are you able to send a patch ?
Comment 4 Dave Ludlow 2009-06-03 00:09:30 EDT
I see the same problem with bugzilla 3.2.3 on Fedora 10 x86_64.  I worked around it by adding the following line to /etc/httpd/conf.d/bugzilla.conf:

Alias /var/lib/bugzilla/data/webdot /var/lib/bugzilla/data/webdot
Comment 5 Emmanuel Seyman 2009-11-11 14:06:21 EST
I've taken Dave's suggestion and adapted it for the package.

If somebody can play around with the build for f13, that would be great. If nobody complains, I'll apply the same patch to f12 and f11 in a week.
Comment 6 Fedora Update System 2009-11-17 22:05:02 EST
bugzilla-3.4.3-1.fc12 has been submitted as an update for Fedora 12.
Comment 7 Bug Zapper 2009-11-18 04:16:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Emmanuel Seyman 2009-11-22 13:50:54 EST
I've received mail that bugzilla-3.4.4-1.fc12 has been pushed to updates.
The updates fixes this bug.

Note You need to log in before you can comment on or make changes to this bug.